#!/bin/sh

# check only for users ids beyond 20000
# that is, basically, teachers and students
if [ "$UID" -gt 20000 ]; then

	# we ask n4d for the user freeze state
	FROZEN=`n4d-client -h server -c Golem -m is_frozen_user -a $USER`

	# if freeze, set a dconf profile with just a system database
	# so all settings will be the read only default ones
	if [ "$FROZEN" = "True" ]; then
		export DCONF_PROFILE=frozen
	fi

fi
